• Resolved goldgothe

    (@goldgothe)


    Hello. One of my website was crashed this morning. I saw that during the night, an update were made on this plugin to version 4.9.19
    I watched on my error log and saw: PHP Parse error: syntax error, unexpected ‘)’ in *******************/wordpress/wp-content/plugins/premium-addons-for-elementor/includes/addons-integration.php on line 634, referer: **************

    I checked and on these lines (628 to 634), i had:

    wp_register_script(
    			'pa-headroom',
    			PREMIUM_ADDONS_URL . 'assets/frontend/' . $dir . '/headroom' . $suffix . '.js',
    			array( 'jquery' ),
    			PREMIUM_ADDONS_VERSION,
    			// true
    		);

    The // true made my website crash. After PREMIUM_ADDONS_VERSION, there is a ‘,’ so the program is waiting another arg. With ‘// true’, it doesnt get another parameter and crash the website. i removed the ‘//’ and saved, my website was functional again.
    Is this problem something that only happened to me ?

    I deactivated the auto update for this plugin. Can you assure me that this little syntax error will not be in the next version of the plugin ?

    Thank you for your time.

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author Leap13

    (@leap13)

    Hi @goldgothe

    We already fixed this in v4.9.20. Please update your version and let me know.

    Regards

    Thread Starter goldgothe

    (@goldgothe)

    Hello,
    I made the update of your plugin and the problem is fixed.

    Thank you for your reactivity.

    Plugin Author Leap13

    (@leap13)

    Great, I’m so glad that everything is working just fine with you now.

    If you have any further questions, please don’t hesitate to feed me back anytime
    It would be great if you could please do us a BIG favor by rating Premium Addons for Elementor on our WordPress page.

    Regards

Viewing 3 replies - 1 through 3 (of 3 total)
  • You must be logged in to reply to this topic.